For the latest news and information visit The GNU Crypto project

## gnu.crypto.key.rsa
Class RSAKeyPairGenerator

    java.lang.Object
      |
      +--gnu.crypto.key.rsa.RSAKeyPairGenerator

All Implemented Interfaces:
  IKeyPairGenerator

public class RSAKeyPairGenerator
extends java.lang.Object
implements IKeyPairGenerator

A key-pair generator for asymetric keys to use in conjunction with the RSA scheme.

Reference:

1. RSA-PSS Signature Scheme with Appendix, part B. Primitive specification and supporting documentation. Jakob Jonsson and Burt Kaliski.
2. Handbook of Applied Cryptography, Alfred J. Menezes, Paul C. van Oorschot and Scott A. Vanstone. Section 11.3 RSA and related signature schemes.

Field Summary
`static java.lang.String` `MODULUS_LENGTH` Property name of the length (Integer) of the modulus of an RSA key.
`static java.lang.String` `RSA_PARAMETERS` Property name of an optional `RSAKeyGenParameterSpec` instance to use for this generator's `n`, and `e` values.
`static java.lang.String` `SOURCE_OF_RANDOMNESS` Property name of an optional `SecureRandom` instance to use.

Constructor Summary
`RSAKeyPairGenerator()`

Method Summary
`java.security.KeyPair` `generate()` The algorithm used here is described in nessie-pss-B.pdf document which is part of the RSA-PSS submission to NESSIE.
`java.lang.String` `name()` Returns the canonical name of this keypair generator.
`void` `setup(java.util.Map attributes)` Configures this instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODULUS_LENGTH

    public static final java.lang.String MODULUS_LENGTH

  Property name of the length (Integer) of the modulus of an RSA key.

  See Also:
    Constant Field Values

### SOURCE_OF_RANDOMNESS

    public static final java.lang.String SOURCE_OF_RANDOMNESS

  Property name of an optional `SecureRandom` instance to use. The default is to use a classloader singleton from `PRNG`.

  See Also:
    Constant Field Values

### RSA_PARAMETERS

    public static final java.lang.String RSA_PARAMETERS

  Property name of an optional `RSAKeyGenParameterSpec` instance to use for this generator's `n`, and `e` values. The default is to generate `n` and use a fixed value for `e (Fermat's F4 number).

  See Also:
    Constant Field Values
  `

Constructor Detail

### RSAKeyPairGenerator

    public RSAKeyPairGenerator()

Method Detail

### name

    public java.lang.String name()

  Description copied from interface: `IKeyPairGenerator`
  Returns the canonical name of this keypair generator.

  Specified by:
    `name` in interface `IKeyPairGenerator`
  Returns:
    the canonical name of this instance.

### setup

    public void setup(java.util.Map attributes)

  Configures this instance.

  Specified by:
    `setup` in interface `IKeyPairGenerator`
  Parameters:
    `attributes` - the map of name/value pairs to use.
  Throws:
    `java.lang.IllegalArgumentException` - if the designated MODULUS_LENGTH value is less than 1024.

### generate

    public java.security.KeyPair generate()

  The algorithm used here is described in nessie-pss-B.pdf document which is part of the RSA-PSS submission to NESSIE.

  Specified by:
    `generate` in interface `IKeyPairGenerator`
  Returns:
    an RSA keypair.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.